Game1.Preload = function(game){};
Game1.Preload.prototype = {
  preload: function() {
  
var xmlplain = '<font><info face="Segment7" size="100" bold="0" italic="0" charset="" unicode="1" stretchH="100" smooth="1" aa="1" padding="0,0,0,0" spacing="1,1" outline="0"/><common lineHeight="100" base="80" scaleW="256" scaleH="256" pages="1" packed="0" alphaChnl="1" redChnl="0" greenChnl="0" blueChnl="0"/><pages><page id="0" file="font_0_0.png" /></pages><chars count="11"><char id="32" x="250" y="0" width="1" height="100" xoffset="0" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="48" x="0" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="49" x="192" y="101" width="12" height="100" xoffset="41" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="50" x="50" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="51" x="100" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="52" x="98" y="101" width="47" height="100" xoffset="6" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="53" x="0" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="54" x="49" y="101" width="48" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="55" x="146" y="101" width="45" height="100" xoffset="8" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="56" x="150" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /><char id="57" x="200" y="0" width="49" height="100" xoffset="4" yoffset="0" xadvance="59" page="0" chnl="15" /></chars></font>';
    //show loading screen
   this.preloadBar = this.add.sprite(this.game.world.centerX, this.game.world.centerY, 'preloadbar');
    this.preloadBar.anchor.setTo(0.5);
    this.load.setPreloadSprite(this.preloadBar);
    //var cacheKey = Phaser.Plugin.Tiled.utils.cacheKey;
    this.load.image('bg', 'img/MW_main_background.jpg');
    this.load.image('bg_ingame', 'img/MW_main_background.jpg');  
    this.load.image('sponsors', 'img/sponsorzy.png');  
    this.load.image('title', 'img/MW_main_tytul.png');
    this.load.image('pomocnik', 'img/MW_main_przewodnik.png');
    this.load.spritesheet('play_button', 'img/MW_main_button_play.png',200,200,3); 
    this.load.spritesheet('speaker', 'img/speaker1.png',115,115);
    this.load.spritesheet('help', 'img/MW_litery_button_info.png', 133,133);  
    //this.load.spritesheet('arrow','img/strzalki.png', 75,73);
    this.load.image('guiPomocnik_good', 'img/MW_main_przewodnik.png');
    this.load.image('guiPomocnik_bad', 'img/MW_litery_przewodnik.png');  
    this.load.image('Finish', 'img/MW_koniec.png');
   
   // this.load.spritesheet('definicja', 'img/OB_I_1_definicja.png', (590/2),120);
    for (var i = 1;i<11;i++)
    {
        this.load.image("mw_"+i, 'img/mw_10_'+i+'.png');
    }

      
/*    this.load.spritesheet('backButton', 'img/OB_sklepy_button_previous.png',120,120);
    this.load.spritesheet('GoButton', 'img/OB_sklepy_button_next.png',120,120);  */  
/*    this.load.image('calc_', 'img/OS_puzzle_calc_C.png');
    this.load.image('lista', 'img/OB_sklepy_lista.png');*/
    this.load.image('koszyt1', 'img/OB_I_1_koszyk1.png');
     
    this.load.image('regal', 'img/OB_I_1_regal.png');
    //this.load.image('regal1', 'img/OB_sklepy_o_2_regal.png');  
   // this.load.image('counter', 'img/OB_sklepy_kasa.png');  
   
    this.load.bitmapFont('font_0', 'font/font_0_0.png',null,xmlplain);  
  },    
  create: function() {
    this.state.start('Menu');
  },

};